## dods.dap
Class DGrid.EnumerateDGrid

    java.lang.Object
      dods.dap.DGrid.EnumerateDGrid

All Implemented Interfaces:
  Enumeration

Enclosing class:
  DGrid

class DGrid.EnumerateDGrid
extends Object
implements Enumeration

Private class for implemantation of the Enumeration. Because DStructure and DSequence are simpler classes and use a single Vector, their implementations of getVariables aren't as fancy.

Field Summary
`(package private) boolean` `array`
`(package private) Enumeration` `e`

Constructor Summary
`(package private)` `DGrid.EnumerateDGrid()`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### array

    boolean array

### e

    Enumeration e

Constructor Detail

### DGrid.EnumerateDGrid

    DGrid.EnumerateDGrid()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`